
# --------------------------------------
#   joypad
#   65f697220dbb025fcanv
__canvas_id__ = '65f697220dbb025f'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from ColorChase import ColorChase
from ESP32Core import ESP32Core
from HbtLed import HbtLed
from Rainbow import Rainbow
from CANBus import CANBus
from AnalogInput import AnalogInput
from DigitalInput import DigitalInput
from Variable import Variable
from DigitalOutput import DigitalOutput
def setup(iris):
  AnalogInput(name='LX', pid=32956, pin=35, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name='LY', pid=3608, pin=32, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name='RX', pid=33726, pin=34, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name='RY', pid=27251, pin=39, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  CANBus(name='CANBus', pid=6545, rx=16, tx=4, adr=15, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  ColorChase(name='ColorChase', pid=28857, dot_color=None, fill_color=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name='L_push', pid=6017, pin=18, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='R_push', pid=19116, pin=14, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='blue', pid=64240, pin=27, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='down', pid=12955, pin=23, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='function_button', pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='green', pid=41059, pin=25, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='left', pid=12806, pin=19, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='red', pid=44174, pin=33, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='right', pid=4163, pin=22, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='select', pid=42196, pin=15, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='start', pid=25480, pin=13, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='up', pid=1666, pin=21, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name='yellow', pid=45435, pin=26, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name='can_slp', pid=56302, pin=2, invert=True, initial_value=True, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name='ESP32Core', pid=6074, wifi=False, hbt_led=FP(55894), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name='hbt_led', pid=55894, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name='neo_bar', pid=33490, pin=12, number_of_pixels=5, animation=FP(29150), delay=FP(51105), animations=[FP(23302), FP(28857)], datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name='neo_status', pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Rainbow(name='Rainbow', pid=23302, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Variable(name='animation', pid=29150, state=0, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  Variable(name='delay', pid=51105, state=200, datatype="int", constant=False, debug=False, active=True, bcast=True, iris=iris)
  iris.add_hots({})

